org.apache.sling.maven.projectsupport.bundlelist

## Class BaseBundle

- java.lang.Object
- - org.apache.sling.maven.projectsupport.bundlelist.BaseBundle

Direct Known Subclasses:
  Bundle

    public abstract class BaseBundle
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`BaseBundle()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract String` `getArtifactId()`
`abstract String` `getClassifier()`
`abstract String` `getGroupId()`
`abstract int` `getStartLevel()`
`abstract String` `getType()`
`abstract String` `getVersion()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BaseBundle

    public BaseBundle()

### Method Detail

#### getArtifactId

    public abstract String getArtifactId()

#### getClassifier

    public abstract String getClassifier()

#### getGroupId

    public abstract String getGroupId()

#### getStartLevel

    public abstract int getStartLevel()

#### getType

    public abstract String getType()

#### getVersion

    public abstract String getVersion()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`